Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.aop.framework.autoproxy
[Java] Class GroovyAwareAspectJAwareAdvisorAutoProxyCreator

    java.lang.Object
      org.springframework.aop.aspectj.annotation.AnnotationAwareAspectJAutoProxyCreator
          org.codehaus.groovy.grails.aop.framework.autoproxy.GroovyAwareAspectJAwareAdvisorAutoProxyCreator

    public class GroovyAwareAspectJAwareAdvisorAutoProxyCreator
    extends AnnotationAwareAspectJAutoProxyCreator

Enables AspectJ weaving from the application context.

Authors:
  Graeme Rocher

Since:
  1.3.4

Method Summary
`protected boolean` | `shouldProxyTargetClass(java.lang.Class beanClass, java.lang.String beanName)`

Method Detail

### shouldProxyTargetClass

    @Override
    protected boolean shouldProxyTargetClass(java.lang.Class beanClass, java.lang.String beanName)

Groovy Documentation